{% load static %}

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" type="text/css" href="{% static '/css/lab4_index.css' %}" />
    <!-- JQUERY -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script> 
    <!-- JQUERY AJAX -->
    <script>
        
    </script>
    <title>Note List</title>
  </head>
  <body>
    <h1 class="h1-tittle"> Note List </h1>
    <br>
    <table class="container-table">
      <thead>
        <tr>
          <th>To</th>
          <th>From</th>
          <th>Title</th>
          <th>Message</th>
          <th>Actions</th>
        </tr>
      </thead>
      <tbody>
        <!-- TODO loop from notes model -->
        {% for note in notes %}
        <tr>
          <td> {{note.modelTo}} </td>
          <td> {{note.modelFrom}} </td>
          <td> {{note.title}} </td>
          <td> {{note.message}} </td>
          <td>
              <div class="button-container">
                <button>View</button>
                <button>Edit</button>
                <button>Delete</button>
              </div>
          </td>
        </tr>
        {% endfor %}
        <!-- END SECTION -->
      </tbody>
    </table>
  </body>
</html>